services:

  web:
    build:
      context: .
      dockerfile: docker/Dockerfile.php56
    container_name: cake-web
    ports:
      - "8080:80"
      - "8765:8765"
    restart: always
    volumes:
      - ./back-end:/var/www/html
      - ./docker/uploads.ini:/usr/local/etc/php/conf.d/uploads.ini
    environment:
      TZ: America/Caracas

  front:
    build:
      context: .
      dockerfile: docker/Dockerfile.front
    container_name: react-front
    ports:
      - "8081:80"
    restart: always
    depends_on:
      - web

volumes:
  dbdata:
